---

- name: encrypt-secrets
  hosts: localhost

  tasks:
    - name: "{{ ansible_play_name }} | Ensuring temp directory exists at /etc/repoman/tempdir/"
      ansible.builtin.file:
        path: "/etc/repoman/tempdir/"
        state: directory
        mode: 0700

    - name: "{{ ansible_play_name }} | Ensuring files are removed from /etc/repoman/tempdir/"
      ansible.builtin.file:
        path: "{{ item }}"
        state: absent
      loop: "{{ lookup('fileglob', '/etc/repoman/tempdir/*', wantlist=True) }}"

    - name: "{{ ansible_play_name }} | Ensuring encrypted copy of secrets in /etc/repoman/secrets/unencrypted/ placed in /etc/repoman/tempdir/"
      ansible.builtin.shell: "ansible-vault -vvvv encrypt {{ item }} --output /etc/repoman/tempdir/{{ item | basename }}"
      register: result
      changed_when: result.rc == 0
      failed_when: result.rc != 0
      loop: "{{ lookup('fileglob', '/etc/repoman/secrets/unencrypted/*', wantlist=True) }}"

    - name: "{{ ansible_play_name }} | Ensuring encrypted directory exists at /etc/repoman/secrets/encrypted/"
      ansible.builtin.file:
        path: "/etc/repoman/secrets/encrypted/"
        state: directory
        mode: 0700

    - name: "{{ ansible_play_name }} | Ensuring copy of secrets in /etc/repoman/tempdir/ placed in /etc/repoman/secrets/encrypted/"
      ansible.builtin.copy:
        src: "{{ item }}"
        dest: "/etc/repoman/secrets/encrypted/{{ item | basename }}"
        decrypt: false
        backup: true
        mode: 0600
      loop: "{{ lookup('fileglob', '/etc/repoman/tempdir/*', wantlist=True) }}"

...
